List all Leads
curl --request GET \
--url https://api.deliveryman.ai/api/v1/leads/ \
--header 'X-Api-Key: <api-key>'import requests
url = "https://api.deliveryman.ai/api/v1/leads/"
headers = {"X-Api-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-Api-Key': '<api-key>'}};
fetch('https://api.deliveryman.ai/api/v1/leads/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"uid": "<string>",
"contact": {
"id": 123,
"email_id": "<string>",
"bounced": true,
"unsubscribed": true
},
"schedules": [
{
"id": 123,
"email_data": {
"id": 123,
"subject": "<string>",
"body": "<string>"
},
"link_click_events": [
{
"id": 123,
"link": "<string>",
"clicked_on": "2023-11-07T05:31:56Z"
}
],
"replies": [
{
"id": 123,
"body_plain_text": "<string>",
"body_html": "<string>",
"received_on": "2023-11-07T05:31:56Z"
}
],
"schedule_datetime": "2023-11-07T05:31:56Z",
"sent_on": "2023-11-07T05:31:56Z",
"reply_received": true,
"email_opened": true,
"email_opened_on": "2023-11-07T05:31:56Z",
"email_open_count": 1073741823
}
],
"sender_email_address": "<string>",
"sender_name": "<string>"
}
],
"total": 1
}{
"message": "<string>"
}{
"message": "<string>"
}Leads
List all Leads
Retrieves all leads data for the given campaign.
GET
/
api
/
v1
/
leads
/
List all Leads
Authorizations
Enter your API key in the format: X-Api-Key <your_key>
Query Parameters
UID of campaign to fetch leads from.
Maximum number of records to fetch in the current page. Must be between 1 and 100.
Required range:
1 <= x <= 100Number of records to skip before fetching the results.For example, an offset of 0 starts at the beginning, while an offset of 50 fetches records starting from the 51st. If offset is greater than number of records available, results will be empty.
Required range:
x >= 0⌘I